Subject: Re: list size limitation ?

From: Jan Wielemaker <[email-masked]>
Date: Thu, 2 Mar 2000 15:46:30 +0100

> 
> I have a question about the size of the lists in SWI-prolog.
> I use prolog for AI courses and the students use the 3.3.0 version.
> In an exercice the answer of the query is: 
> 
> L = [etat([], [oie, renard, grain], d), etat([oie], [renard, grain], g), etat([oie], [renard, grain> ], d), etat([renard, oie], [grain], g), etat([oie], [grain, renard], d), etat([oie, grain], [renard> ], g), etat([grain], [renard, oie], d), etat([renard, grain], [oie], g), etat([renard|...], [oie], > d), etat(..., ..., ...)] 
> 
> What are the "..." ?
> When I try the same query on my computer (I use the 3.2.0 version), I get
> 
> L = [etat([], [oie, renard, grain], d), etat([oie], [renard, grain], g), etat([oie], [renard, grain> ], d), etat([renard, oie], [grain], g), etat([oie], [grain, renard], d), etat([oie, grain], [renard> ], g), etat([grain], [renard, oie], d), etat([renard, grain], [oie], g), etat([renard, grain], [oie> ], d), etat([renard, oie, grain], [], g)] 
> 
> 
> So it seems that the size of an answered list is bounded in the new version and
> I would like to know if it is to possible to increase or remove this limit.

See the prolog flag toplevel_print_options:

?- current_prolog_flag(toplevel_print_options, X).

X = [quoted(true), portray(true), max_depth(10)]

See write_term/3 for the meaning of these options.

Note that you can change this globally for your site by creating an
appropriate pl.rc (Unix) or plwin.rc (Windows) file in the SWI-Prolog
`home' directory, which is compiled before anything else happens.

	Regards --- Jan